=== debian/control ===
Source: mingw-w64
Section: devel
Priority: extra
Maintainer: Stephen Kitt <steve@sk2.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: gcc-mingw-w64 | gcc-mingw-w64-bootstrap
Standards-Version: 3.9.2
Homepage: http://mingw-w64.sf.net
Vcs-Git: git://git.debian.org/collab-maint/mingw-w64.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mingw-w64.git;a=summary

Package: mingw-w64-dev
Architecture: all
Depends: ${misc:Depends}
Description: Development files for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit Windows applications using the GNU Compiler Collection (gcc).
 .
 This package contains the headers and libraries required to build
 software using MinGW-w64.

Package: mingw-w64
Architecture: all
Depends: ${misc:Depends}, gcc-mingw-w64,
 mingw-w64-dev
Description: Development environment targetting 32- and 64-bit Windows
 MinGW-w64 provides a development and runtime environment for 32- and
 64bit Windows applications using the GNU Compiler Collection (gcc).
 .
 This metapackage provides the full MinGW-w64 development
 environment.
