## mingw-w64 1.0+20110523

=== debian/changelog ===
mingw-w64 (1.0+20110523-1build2) oneiric; urgency=low

  * Rebuild using gcc-mingw-w64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Aug 2011 15:40:52 +0200

mingw-w64 (1.0+20110523-1build1) oneiric; urgency=low

  * Fix b-d on gcc-mingw-w64-bootstrap.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Aug 2011 15:33:49 +0200

mingw-w64 (1.0+20110523-1) unstable; urgency=low

  * New upstream snapshot.
  * This version and the previous breaks the gcc-4.5-based gcc-mingw-
    w64.
  * Properly specify the format of debian/copyright.

 -- Stephen Kitt <steve@sk2.org>  Mon, 13 Jun 2011 23:06:42 +0200
