=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Stephen Kitt <steve@sk2.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: gcc-mingw-w64 | gcc-mingw-w64-bootstrap
+Build-Depends-Indep:
+ gcc-mingw-w64 (>= 4.6.0) | gcc-mingw-w64-bootstrap
 Standards-Version: 3.9.2
 Homepage: http://mingw-w64.sf.net
 Vcs-Git: git://git.debian.org/collab-maint/mingw-w64.git
@@ -12,6 +13,7 @@
 Package: mingw-w64-dev
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: gcc-mingw-w64 (<< 4.6.0)
 Description: Development files for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit Windows applications using the GNU Compiler Collection (gcc).
@@ -21,8 +23,7 @@
 
 Package: mingw-w64
 Architecture: all
-Depends: ${misc:Depends}, gcc-mingw-w64,
- mingw-w64-dev
+Depends: gcc-mingw-w64, mingw-w64-dev, ${misc:Depends}
 Description: Development environment targetting 32- and 64-bit Windows
  MinGW-w64 provides a development and runtime environment for 32- and
  64bit Windows applications using the GNU Compiler Collection (gcc).
