## mingw-w64 2.0

=== debian/changelog ===
mingw-w64 (2.0-2) unstable; urgency=low

  * Disable dpkg-buildflags hardening. (LP: #880726.)
  * Apply upstream fix for imagehlp.h's extern "C" declarations (in
    particular this is required to build Ekiga).

 -- Stephen Kitt <steve@sk2.org>  Mon, 24 Oct 2011 22:39:43 +0200

mingw-w64 (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Stephen Kitt <steve@sk2.org>  Thu, 13 Oct 2011 00:41:25 +0200

mingw-w64 (2.0~rc3-1) unstable; urgency=low

  [ Stephen Kitt ]
  * New upstream release candidate.

  [ Didier Raboud ]
  * Confidently setting the DM-Upload-Allowed flag to yes.

 -- Stephen Kitt <steve@sk2.org>  Mon, 10 Oct 2011 10:39:38 +0200

mingw-w64 (2.0~rc2-1) unstable; urgency=low

  * New upstream release candidate.
    - Includes fixed d2d1.h. (Closes: #638620.)
  * Simplify debian/rules.
  * Add "Architecture: any" mingw-w64-tools package to ship gendef and
    genidl.
  * Provide manpages for gendef and genidl.
  * Ship libmangle and libpseh in mingw-w64-dev (32-bit only for
    libpseh).
  * Correct debian/copyright ("Upstream-Name" instead of "Name", correct
    license for mingw-w64-headers/ddk/include/ddk/csq.h).
  * Add spelling-fix.patch to fix small spelling mistake in gendef.

 -- Stephen Kitt <steve@sk2.org>  Thu, 06 Oct 2011 23:32:07 +0200

mingw-w64 (2.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * mingw-w64 now provides __uuidof() where necessary. (Closes: #625497.)
  * Removed patches:
    - 01-guiddef-svn-3715.patch, originally taken from upstream;
    - 02-get_codepage.patch, fixed differently;
    - 03-gcc-4.6-float.patch, no longer relevant (mingw-w64 no longer
      ships float.h).
  * Add empty build-arch target (policy 4.9).

 -- Stephen Kitt <steve@sk2.org>  Sun, 07 Aug 2011 23:02:01 +0200
