## mingw-w64 2.0.1

=== debian/changelog ===
mingw-w64 (2.0.1-1) unstable; urgency=low

  * New upstream release (notably adding GDI+ support).
  * Drop imagehlp-fix.patch, included upstream.

 -- Stephen Kitt <steve@sk2.org>  Mon, 21 Nov 2011 23:05:31 +0100
