=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Stephen Kitt <steve@sk2.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep:
- gcc-mingw-w64 (>= 4.6.0) | gcc-mingw-w64-bootstrap
+ gcc-mingw-w64 (>= 4.6.0) | gcc-mingw-w64-bootstrap (>= 4.6.0)
 Standards-Version: 3.9.2
 Homepage: http://mingw-w64.sf.net
 Vcs-Git: git://git.debian.org/collab-maint/mingw-w64.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mingw-w64.git;a=summary
+DM-Upload-Allowed: yes
 
 Package: mingw-w64-dev
 Architecture: all
@@ -30,3 +31,14 @@
  .
  This metapackage provides the full MinGW-w64 development
  environment.
+
+Package: mingw-w64-tools
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Development tools for 32- and 64-bit Windows
+ MinGW-w64 provides a development and runtime environment for 32- and
+ 64bit Windows applications using the GNU Compiler Collection (gcc).
+ .
+ This package contains the gendef and genidl tools, used to extract
+ respectively DLL exports and IDL information from Windows
+ executables.
