## mingw-w64 2.0.1+svn4784

=== debian/changelog ===
mingw-w64 (2.0.1+svn4784-2) unstable; urgency=low

  * Mention "x86" and "x64" as used on Windows (see thread starting at
    http://lists.debian.org/4EBA730A.7060707@greffrath.com for
    rationale; the 32-/64-bit split will come later).
  * Enable secure API (required in particular for newer versions of Wine
    Gecko).
  * Allow bootstrapping again (thanks to Sam Morris for pointing out
    that bootstrapping the mingw-w64 package set no longer worked!).

 -- Stephen Kitt <steve@sk2.org>  Wed, 15 Feb 2012 01:00:43 +0100

mingw-w64 (2.0.1+svn4784-1) unstable; urgency=low

  * New upstream snapshot.
    - Builds libmsi.a for i686. (Closes: #652362.)
    - Includes fixed asprintf as requested by Rafaël Carré.

 -- Stephen Kitt <steve@sk2.org>  Tue, 31 Jan 2012 22:57:13 +0100
