=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
 Breaks: gcc-mingw-w64 (<< 4.6.0)
 Description: Development files for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
- 64-bit Windows applications using the GNU Compiler Collection (gcc).
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
  .
  This package contains the headers and libraries required to build
  software using MinGW-w64.
@@ -27,7 +28,8 @@
 Depends: gcc-mingw-w64, mingw-w64-dev, ${misc:Depends}
 Description: Development environment targetting 32- and 64-bit Windows
  MinGW-w64 provides a development and runtime environment for 32- and
- 64bit Windows applications using the GNU Compiler Collection (gcc).
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
  .
  This metapackage provides the full MinGW-w64 development
  environment.
@@ -37,7 +39,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Development tools for 32- and 64-bit Windows
  MinGW-w64 provides a development and runtime environment for 32- and
- 64bit Windows applications using the GNU Compiler Collection (gcc).
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
  .
  This package contains the gendef and genidl tools, used to extract
  respectively DLL exports and IDL information from Windows
