## mingw-w64 2.0.2

=== debian/changelog ===
mingw-w64 (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * Following the gcc-mingw-w64 package split, make mingw-w64 depend on
    gcc-mingw-w64 and g++-mingw-w64, and correct the description
    appropriately.
  * Update watch file to take into account any upstream tarball.
  * Standards-Version 3.9.3, no change required.
  * Make sure we get the split gcc-mingw-w64 packages (to avoid
    attempting a build with only the architecture-independent gcc-mingw-
    w64 package).

 -- Stephen Kitt <steve@sk2.org>  Wed, 18 Apr 2012 00:33:40 +0200
