=== debian/control ===
--- 
+++ 
@@ -13,20 +13,47 @@
 DM-Upload-Allowed: yes
 
 Package: mingw-w64-dev
+Section: oldlibs
+Architecture: all
+Depends: mingw-w64-i686-dev, mingw-w64-x86-64-dev, ${misc:Depends}
+Breaks: gcc-mingw-w64 (<< 4.6.0)
+Description: Development files for MinGW-w64 (transitional package)
+ MinGW-w64 provides a development and runtime environment for 32- and
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
+ .
+ This transitional package provides the headers and libraries required
+ to build software using MinGW-w64.
+
+Package: mingw-w64-i686-dev
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: gcc-mingw-w64 (<< 4.6.0)
-Description: Development files for MinGW-w64
+Breaks: gcc-mingw-w64 (<< 4.6.0), mingw-w64-dev (<< 2.0.3-1)
+Replaces: mingw-w64-dev (<< 2.0.3-1)
+Description: Development files for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
  the GNU Compiler Collection (gcc).
  .
  This package contains the headers and libraries required to build
- software using MinGW-w64.
+ 32-bit software using MinGW-w64.
+
+Package: mingw-w64-x86-64-dev
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: gcc-mingw-w64 (<< 4.6.0), mingw-w64-dev (<< 2.0.3-1)
+Replaces: mingw-w64-dev (<< 2.0.3-1)
+Description: Development files for MinGW-w64 targeting Win64
+ MinGW-w64 provides a development and runtime environment for 32- and
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
+ .
+ This package contains the headers and libraries required to build
+ 64-bit software using MinGW-w64.
 
 Package: mingw-w64
 Architecture: all
-Depends: gcc-mingw-w64, g++-mingw-w64 | gcc-mingw-w64 (<< 4.6.3-3+4), mingw-w64-dev, ${misc:Depends}
+Depends: gcc-mingw-w64, g++-mingw-w64 | gcc-mingw-w64 (<< 4.6.3-3+4), ${misc:Depends}
 Description: Development environment targetting 32- and 64-bit Windows
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
