## mingw-w64 3.0~svn5915

=== debian/changelog ===
mingw-w64 (3.0~svn5915-1) unstable; urgency=low

  * New upstream snapshot.
  * Merge from experimental, tracking upstream trunk (required for
    wine-gecko 1.6 and later, and gcc 4.8 and later). Other than the
    different upstream, the changes are as follows:
    - Build genpeimg, libwinpthreads (which replaces
      libpthreads-mingw-w64), libwinstorecompat and widl.
    - Drop unused contexts and add missing CPU information for widl on
      ia64, s390 and s390x.
    - Rework debian/rules to use declarative rules and recipes, working
      towards making parallel builds possible.
    - Specify the full target prefix as required since 5197.
  * Fix target mangling to build on hurd-i386.
  * Make DLLs non-executable and drop .la files.

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Jun 2013 19:25:37 +0200

mingw-w64 (2.0.8-1) unstable; urgency=low

  * New upstream release.
  * Switch to my Debian address and drop DM-Upload-Allowed.
  * Use dh_autoreconf to update all the autotools-generated files and
    allow multiple builds in a row.
  * Use canonical VCS URIs.
  * Build libmangle for the current architecture, it's intended for
    gendef; use it to build gendef.
  * Enable hardened builds for gendef and genidl.
  * Fix another spelling mistake in gendef (via libmangle).
  * Standards-Version 3.9.4, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 May 2013 23:37:22 +0200
