=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: mingw-w64
 Section: devel
 Priority: extra
-Maintainer: Stephen Kitt <steve@sk2.org>
-Build-Depends: debhelper (>= 7.0.50~)
+Maintainer: Stephen Kitt <skitt@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf
 Build-Depends-Indep:
  gcc-mingw-w64-i686 | gcc-mingw-w64-bootstrap (>= 4.6.0),
  gcc-mingw-w64-x86-64 | gcc-mingw-w64-bootstrap (>= 4.6.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mingw-w64.sf.net
-Vcs-Git: git://git.debian.org/collab-maint/mingw-w64.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mingw-w64.git;a=summary
-DM-Upload-Allowed: yes
+Vcs-Git: git://anonscm.debian.org/collab-maint/mingw-w64.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mingw-w64.git;a=summary
 
 Package: mingw-w64-dev
 Section: oldlibs
@@ -28,8 +27,8 @@
 Package: mingw-w64-i686-dev
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: gcc-mingw-w64 (<< 4.6.0), mingw-w64-dev (<< 2.0.3-1)
-Replaces: mingw-w64-dev (<< 2.0.3-1)
+Breaks: gcc-mingw-w64 (<< 4.6.0), mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
+Replaces: mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
 Description: Development files for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -41,8 +40,8 @@
 Package: mingw-w64-x86-64-dev
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: gcc-mingw-w64 (<< 4.6.0), mingw-w64-dev (<< 2.0.3-1)
-Replaces: mingw-w64-dev (<< 2.0.3-1)
+Breaks: gcc-mingw-w64 (<< 4.6.0), mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
+Replaces: mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
 Description: Development files for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
